<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="14460.31" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14460.20"/>
        <capability name="Named colors" minToolsVersion="9.0"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="SFUIDisplay-Light.otf">
            <string>SFUIDisplay-Light</string>
        </array>
        <array key="SFUIDisplay-Regular.otf">
            <string>SFUIDisplay-Regular</string>
        </array>
        <array key="SFUIDisplay-Semibold.otf">
            <string>SFUIDisplay-Semibold</string>
        </array>
    </customFonts>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view contentMode="scaleToFill" id="iN0-l3-epB" customClass="CommentCell" customModule="GBShop" customModuleProvider="target">
            <rect key="frame" x="0.0" y="0.0" width="375" height="150"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Какой-то дурацкий комментарий от человека..." textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="ipg-Av-YPB">
                    <rect key="frame" x="15" y="70" width="328" height="58"/>
                    <fontDescription key="fontDescription" name="SFUIDisplay-Regular" family="SF UI Display" pointSize="15"/>
                    <color key="textColor" name="DarkTextColor"/>
                    <nil key="highlightedColor"/>
                </label>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="U9l-ve-rc1">
                    <rect key="frame" x="0.0" y="148" width="375" height="2"/>
                    <color key="backgroundColor" name="BorderColor"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="2" id="8dp-zT-enc"/>
                    </constraints>
                </view>
                <stackView opaque="NO" contentMode="scaleToFill" spacing="10" translatesAutoresizingMaskIntoConstraints="NO" id="0X3-3Q-SzS">
                    <rect key="frame" x="15" y="20" width="219.5" height="30"/>
                    <subviews>
                        <imageView userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="avatar" translatesAutoresizingMaskIntoConstraints="NO" id="OfO-AI-W6E" customClass="RoundImageView" customModule="GBShop" customModuleProvider="target">
                            <rect key="frame" x="0.0" y="0.0" width="30" height="30"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="30" id="b5L-Cm-eCz"/>
                                <constraint firstAttribute="width" constant="30" id="ytN-ij-38J"/>
                            </constraints>
                        </imageView>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Имя Фамилия" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="q8B-qf-7zN">
                            <rect key="frame" x="40" y="0.0" width="100.5" height="30"/>
                            <fontDescription key="fontDescription" name="SFUIDisplay-Semibold" family="SF UI Display" pointSize="15"/>
                            <color key="textColor" name="DarkTextColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <label opaque="NO" userInteractionEnabled="NO" alpha="0.5" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="•2 дня назад" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="8lp-UP-c9P">
                            <rect key="frame" x="150.5" y="0.0" width="69" height="30"/>
                            <fontDescription key="fontDescription" name="SFUIDisplay-Light" family="SF UI Display" pointSize="12"/>
                            <color key="textColor" name="TextColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                    </subviews>
                </stackView>
            </subviews>
            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
            <constraints>
                <constraint firstItem="vUN-kp-3ea" firstAttribute="trailing" relation="greaterThanOrEqual" secondItem="0X3-3Q-SzS" secondAttribute="trailing" constant="15" id="6Wd-qc-7CY"/>
                <constraint firstItem="0X3-3Q-SzS" firstAttribute="top" secondItem="vUN-kp-3ea" secondAttribute="top" constant="20" id="Hhf-Zo-TQC"/>
                <constraint firstItem="U9l-ve-rc1" firstAttribute="leading" secondItem="vUN-kp-3ea" secondAttribute="leading" id="Nde-EH-D0O"/>
                <constraint firstItem="vUN-kp-3ea" firstAttribute="trailing" secondItem="U9l-ve-rc1" secondAttribute="trailing" id="Oph-0k-xya"/>
                <constraint firstItem="U9l-ve-rc1" firstAttribute="top" secondItem="ipg-Av-YPB" secondAttribute="bottom" constant="20" id="PZH-04-UQn"/>
                <constraint firstItem="ipg-Av-YPB" firstAttribute="top" secondItem="0X3-3Q-SzS" secondAttribute="bottom" constant="20" id="Rcv-lG-A5s"/>
                <constraint firstItem="0X3-3Q-SzS" firstAttribute="leading" secondItem="vUN-kp-3ea" secondAttribute="leading" constant="15" id="W00-I2-rzH"/>
                <constraint firstItem="vUN-kp-3ea" firstAttribute="bottom" secondItem="U9l-ve-rc1" secondAttribute="bottom" id="cUd-Vl-hk1"/>
                <constraint firstItem="vUN-kp-3ea" firstAttribute="trailing" relation="greaterThanOrEqual" secondItem="ipg-Av-YPB" secondAttribute="trailing" constant="15" id="mtn-tq-s6j"/>
                <constraint firstItem="ipg-Av-YPB" firstAttribute="leading" secondItem="vUN-kp-3ea" secondAttribute="leading" constant="15" id="nvs-ee-QhM"/>
            </constraints>
            <freeformSimulatedSizeMetrics key="simulatedDestinationMetrics"/>
            <viewLayoutGuide key="safeArea" id="vUN-kp-3ea"/>
            <connections>
                <outlet property="commentLabel" destination="ipg-Av-YPB" id="JQq-rb-f3T"/>
                <outlet property="dateLabel" destination="8lp-UP-c9P" id="gv4-kX-7Y8"/>
                <outlet property="nameLabel" destination="q8B-qf-7zN" id="dUo-Ci-g5G"/>
                <outlet property="userImageView" destination="OfO-AI-W6E" id="KsM-m6-ReC"/>
            </connections>
            <point key="canvasLocation" x="137" y="151"/>
        </view>
    </objects>
    <resources>
        <image name="avatar" width="600" height="641"/>
        <namedColor name="BorderColor">
            <color red="0.792156862745098" green="0.87058823529411766" blue="0.90588235294117647" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="DarkTextColor">
            <color red="0.20000000000000001" green="0.35686274509803922" blue="0.40784313725490196" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="TextColor">
            <color red="0.33725490196078434" green="0.53333333333333333" blue="0.59999999999999998" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
    </resources>
</document>
